Несколько уязвимостей в ядре Linux

Дата публикации:
12.01.2007
Дата изменения:
07.04.2009
Всего просмотров:
3117
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4814
CVE-2006-5823
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.4.x
Linux Kernel 2.6.x
Уязвимые версии: Linux Kernel версии до 2.6.19.2.

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании системы.

1. Уязвимость существует при обработке семафоров в функции "mincore()". Злоумышленник может вызвать зависание системы путем использования уязвимой функции на неразмеченных страницах.

2. Уязвимость существует из-за того, что ядро некорректно обрабатывает поврежденные структуры данных в файловой системе Ext2. Злоумышленник может с помощью специально сформированного образа вызвать отказ в обслуживании системы.

URL производителя: www.kernel.org

Решение: Установите последнюю версию ядра (2.6.19.2) с сайта производителя.

Ссылки: Linux 2.6.x zlib_inflate memory corruption
Linux 2.6.x ext2_check_page denial of service
http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.19.2

или введите имя

CAPTCHA